Summary: Base gnome icons
Name: gnome-icon-theme
Version: 2.8.0
Release: 1
Source0: %{name}-%{version}.tar.bz2
Source1: external-icons.tar.gz
License: GPL
BuildArch: noarch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: hicolor-icon-theme

%description
Contains the base icons needed by the Gnome desktop environment.

%prep
%setup -q

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove these bogus files
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*

## create symlinks so the gnome theme covers some extra icons we've added
cd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

tar xzvf %{SOURCE1}
ln -s gnome-util.png redhat-accessories.png
#ln -s %{_datadir}/pixmaps/.png redhat-extras.png
ln -s gnome-joystick.png redhat-games.png
ln -s gnome-graphics.png redhat-graphics.png
ln -s %{_datadir}/pixmaps/gnome-home.png redhat-home.png
ln -s gnome-globe.png redhat-internet.png
ln -s gnome-desktop-config.png redhat-preferences.png
ln -s %{_datadir}/pixmaps/gnome-applications.png redhat-office.png
ln -s gnome-devel.png redhat-programming.png
ln -s gnome-server-config.png redhat-server_settings.png
ln -s gnome-multimedia.png redhat-sound_video.png
ln -s gnome-starthere.png redhat-starthere.png
ln -s gnome-system-config.png redhat-system_settings.png
ln -s gnome-system.png redhat-system_tools.png
#ln -s %{_datadir}/pixmaps/.png redhat-tools.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/gnome-icon-theme.pc $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/icons/gnome
%{_datadir}/icons/hicolor
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%changelog
* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- Update to 2.8.0

* Wed Sep  1 2004 Alexander Larsson <alexl@redhat.com> - 2.7.90-2
- Import copies of fallback icon in other packages (#128800, #114534)

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.90-1
- update to 2.7.90

* Wed Aug  4 2004 Owen Taylor <otaylor@redhat.com> - 1.3.6-1
- Update to 1.3.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 1.2.0-1
- update to 1.2.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 1.1.90-1
- update to 1.1.90

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 1.1.8-2
- remove redhat-main-menu symlink (#100407)

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 1.1.8-1
- update to 1.1.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 19 2004 Alexander Larsson <alexl@redhat.com> 1.1.5-1
- 1.1.5
- Removed hidden patch. Why should gnome not be visible?
  Its not like you don't see all the kde themes from Gnome, and
  they don't work well in Gnome.

* Thu Oct  9 2003 Alexander Larsson <alexl@redhat.com> 1.0.9-2
- Fix symlinks for redhat menu icons

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1.0.9-1
- update to 1.0.9

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 1.0.6-1
- update to 1.0.6

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 1.0.5-1.E
- Rebuild

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.0.5-1
- Update to 1.0.5

* Fri Jun 13 2003 Elliot Lee <sopwithredhat.com> 1.0.2-3
- Update evolution icon link again

* Fri May 16 2003 Alexander Larsson <alexl@redhat.com> 1.0.2-2
- Update evolution icon link (#90050)

* Mon Mar 31 2003 Alexander Larsson <alexl@redhat.com> 1.0.2-1
- Update to 1.0.2

* Sun Feb 16 2003 Than Ngo <than@redhat.com> 1.0.0-4
- remove kde hicolor patch, it's not required anymore
- add patch to make gnome icon theme hidden in KDE

* Mon Feb 10 2003 Alexander Larsson <alexl@redhat.com> 1.0.0-3
- inherit from hicolor to make kde work

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 1.0.0-1
- Update to 1.0.0

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com> 0.1.5-2
- make the gnome theme contain some symlinks to cover 
  the redhat-*.png names

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com> 0.1.5-1
- Update to 0.1.5

* Wed Dec  4 2002 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- Initial build.
